FIX::SocketCloseFailed Struct Reference

Socket close operation failed. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::SocketCloseFailed:
[legend]
Collaboration diagram for FIX::SocketCloseFailed:
[legend]

## Public Member Functions

| SocketCloseFailed ()
| SocketCloseFailed (const std::string &what)
Public Member Functions inherited from FIX::SocketException
| SocketException ()
| SocketException (const std::string &what)
std::string | errorToWhat ()
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Additional Inherited Members

Public Attributes inherited from FIX::SocketException
int | error
Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Socket close operation failed.

Definition at line 289 of file Exceptions.h.

## Constructor & Destructor Documentation

## SocketCloseFailed() [1/2]

FIX::SocketCloseFailed::SocketCloseFailed | ( |  | ) |

inline

Definition at line 291 of file Exceptions.h.

{}

## SocketCloseFailed() [2/2]

FIX::SocketCloseFailed::SocketCloseFailed | ( | const std::string & | what | ) |

inline

Definition at line 292 of file Exceptions.h.

: SocketException( what ) {}
FIX::SocketException::SocketException
SocketException()
Definition: Exceptions.h:247

The documentation for this struct was generated from the following file:

- Exceptions.h